<?php

/**
 * @file
 * Contains theme functions.
 */

/**
 * Annual form theme.
 */
function theme_accounting_annual_form($vars) {
  $form = $vars['form'];
  $header = array(t('Month'));
  $rows = array();
  $last_month = (date('m') - 1 == 0) ? 12 : date('m') - 1;
  foreach ($form['#fields'] as $field => $data) {
    $header[$field] = $data['title'];
  }
  foreach ($form['#months'] as $no => $name) {
    $rows[$no]['data'][] = array('data' => $name, 'class' => array('month'));
    if ($no == $last_month) {
      $rows[$no]['class'][] = 'last-month';
    }
    foreach ($form['#fields'] as $field => $data) {
      unset($form[$no][$field . '_' . $no]['#title']);
      if (in_array($field, array('to_pay', 'vat_to_pay')) && isset($form[$no][$field . '_' . $no]['#default_value']) && $form[$no][$field . '_' . $no]['#default_value'] > 0) {
        $rows[$no]['data'][] = array('data' => drupal_render($form[$no][$field . '_' . $no]), 'class' => array('not-paid'));
      }
      else {
        $rows[$no]['data'][] = drupal_render($form[$no][$field . '_' . $no]);
      }
    }
    unset($form[$no]);
  }

  $sums = array('class' => array('sums'), 'data' => array(t('Totals')));
  $sums['data'] += $form['#column_sums'];
  $rows[] = $sums;

  $output = '<div class="annual-balance">' . theme('table', array('header' => $header, 'rows' => $rows)) . '</div>';
  $output .= drupal_render_children($form);
  return $output;
}
